de.esprit.appsuite.database.dbase.tools

## Class AbstractUnlCLP

- java.lang.Object
- - de.esprit.common.clp.CommandLineParser
  - - de.esprit.appsuite.launch.ApplicationCommandLineParser
    - - de.esprit.appsuite.database.dbase.clp.DatabaseCommandLineParser
      - - de.esprit.appsuite.database.dbase.tools.AbstractUnlCLP

- Direct Known Subclasses:
    UnlExportCLP

      public abstract class AbstractUnlCLP
      extends DatabaseCommandLineParser

  This is a special `DatabaseCommandLineParser` that encapsulates the common command line options of the UnlExport and UnlImport tools which are -record, -dbopkg, -table.
  Author:
    Rainer Buesch

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `AbstractUnlCLP.OptionDboPkg`
    `protected static class` | `AbstractUnlCLP.OptionTable`

    - ### Nested classes/interfaces inherited from class de.esprit.appsuite.database.dbase.clp.DatabaseCommandLineParser

      `DatabaseCommandLineParser.OptionCredDir, DatabaseCommandLineParser.OptionCredFile, DatabaseCommandLineParser.OptionDbPassword, DatabaseCommandLineParser.OptionDbUrl, DatabaseCommandLineParser.OptionDbUser, DatabaseCommandLineParser.OptionJdbcDriver, DatabaseCommandLineParser.OptionLoginTimeout, DatabaseCommandLineParser.OptionMaxConns, DatabaseCommandLineParser.OptionMinConns, DatabaseCommandLineParser.OptionSchema`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected OptionDBObject` | `optDbo`
    `protected AbstractUnlCLP.OptionDboPkg` | `optDboPkg`
    `protected AbstractUnlCLP.OptionTable` | `optTable`

    - ### Fields inherited from class de.esprit.appsuite.database.dbase.clp.DatabaseCommandLineParser

      `optCredDir, optCredFile, optDriver, optLoginTimeout, optMaxConns, optMinConns, optPassword, optSchema, optUrl, optUser`

    - ### Fields inherited from class de.esprit.appsuite.launch.ApplicationCommandLineParser

      `optApplicationName`

    - ### Fields inherited from class de.esprit.common.clp.CommandLineParser

      `espritVersion, optDebug, optDemo, optHelp, optLocale, optLogDir, optLogToFile, optNoConsole, optTest, optVerbose, optVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUnlCLP(java.lang.Class mainClass, java.lang.String... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkDependencies()` Is called after all options have been parsed.
    `protected java.lang.String` | `createOptionList()`
    `DBObject` | `getDBObject()`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.clp.DatabaseCommandLineParser

      `checkForMissingCredentialOptions, checkForMissingOption, createConfig, getConnectionPool, getCredDir, getCredential, getCredential, getCredFile, getDriver, getLoginTimeout, getMaxConns, getMinConns, getPassword, getSchema, getUrl, getUser`

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationCommandLineParser

      `getApplicationName, getConfig, isPrintVersionOnly, setDefaultApplicationName`

    - ### Methods inherited from class de.esprit.common.clp.CommandLineParser

      `addOption, addOption, addSoftwareVersion, createHelpText, createHelpText, createSyntaxLine, ensureParsed, fetchDefinedOptionFor, findDefinedOptionFor, getArgument, getArgumentCount, getArguments, getCustomVersion, getEspritVersion, getLogDir, getMainClass, getSoftwareVersions, getStartLogLevel, handleParsingError, hasArguments, isDebug, isDemoMode, isExitAfterParsing, isLogToFile, isNoConsoleLog, isParsed, isTestMode, isVerbose, parse, removeOption, removeOption`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### optDboPkg

          protected final AbstractUnlCLP.OptionDboPkg optDboPkg

    - #### optTable

          protected final AbstractUnlCLP.OptionTable optTable

    - #### optDbo

          protected final OptionDBObject optDbo

  - ### Constructor Detail

    - #### AbstractUnlCLP

          public AbstractUnlCLP(java.lang.Class mainClass,
                        java.lang.String... args)

  - ### Method Detail

    - #### checkDependencies

          protected void checkDependencies()
                                    throws java.lang.Exception

      Description copied from class: `CommandLineParser`
      Is called after all options have been parsed. Maybe overridden to implement any inter-option dependency checking.
      Overrides:
        `checkDependencies` in class `CommandLineParser`
      Throws:
        `java.lang.Exception`

    - #### getDBObject

          public DBObject getDBObject()

    - #### createOptionList

          protected java.lang.String createOptionList()

      Overrides:
        `createOptionList` in class `CommandLineParser`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.